var myToStringSymbol = Symbol("toString");
var object = { };

// We'll use this symbol to describe the method without overwriting it.
object[myToStringSymbol] = "this method will print a string";

// Print both, to show they're both still there.
console.log(object[myToStringSymbol], object["toString"]);;

var cart =
{
    items: ["pizza", "car", "pastrami"],
    [Symbol.iterator] : function* ()
    {
        for (var i = 0; i < this.items.length; ++i)
            yield this.items[i];
    }
}

for (item of cart)
    console.log(item + " is in your cart!");;
